> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartcomply.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Historique de crédit d'entreprise CRC

> Récupérez l'historique de crédit d'une entreprise auprès du bureau CRC à l'aide de son numéro d'enregistrement.

L'endpoint Historique de crédit d'entreprise CRC fournit un enregistrement détaillé des activités liées au crédit d'une entreprise via le bureau CRC, notamment les comptes de prêt, les échéanciers de paiement, l'utilisation du crédit et le statut d'impayé.

## Endpoint

```
POST /api/onboarding/business/crc/
```

## Requête

### En-têtes

| En-tête          | Valeur                | Requis |
| ---------------- | --------------------- | ------ |
| `x-access-token` | Votre clé secrète API | Oui    |
| `Content-Type`   | `application/json`    | Oui    |

### Paramètres de corps

| Paramètre             | Type   | Requis | Description                                      |
| --------------------- | ------ | ------ | ------------------------------------------------ |
| `registration_number` | string | Oui    | Le numéro RC ou d'enregistrement de l'entreprise |

### Exemple

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://adhere-api.smartcomply.com/api/onboarding/business/crc/" \
    -H "x-access-token: YOUR_SECRET_KEY" \
    -H "Content-Type: application/json" \
    -d '{"registration_number": "RC123456"}'
  ```
</CodeGroup>

## Réponse

### 200 OK

| Champ                                      | Type   | Description                               |
| ------------------------------------------ | ------ | ----------------------------------------- |
| `data._id`                                 | string | Identifiant unique de l'enregistrement    |
| `data.business_reg_no`                     | string | Numéro d'enregistrement de l'entreprise   |
| `data.name`                                | string | Nom de l'entreprise                       |
| `data.address`                             | string | Adresse enregistrée                       |
| `data.score.totalNoOfLoans`                | number | Prêts totaux au dossier                   |
| `data.score.totalNoOfActiveLoans`          | number | Prêts actuellement actifs                 |
| `data.score.totalNoOfClosedLoans`          | number | Prêts clôturés                            |
| `data.score.totalBorrowed`                 | number | Montant total emprunté                    |
| `data.score.totalOutstanding`              | number | Solde impayé total                        |
| `data.score.totalOverdue`                  | number | Montant total en retard                   |
| `data.score.totalNoOfDelinquentFacilities` | number | Nombre de facilités en impayé             |
| `data.score.lastReportedDate`              | string | Date du dernier rapport du bureau         |
| `data.searchedDate`                        | string | Date à laquelle ce rapport a été récupéré |

```json theme={null}
{
  "status": "success",
  "data": {
    "_id": "636e768d8215a2e2fb06cfde",
    "business_reg_no": "RC123456",
    "businessId": "64db7ab8a26e603218838892",
    "name": "CAPITALFIELD ASSET MGT LTD",
    "phone": "23408036732620",
    "dateOfRegistration": "2003-08-20",
    "address": "ELEGANZA HOUSE, 15B JOSEPH WESLEY STR, BROAD STREET, LAGOS NIGERIA",
    "score": {
      "totalNoOfDelinquentFacilities": 1,
      "lastReportedDate": "10/Nov/2022",
      "totalNoOfLoans": 24,
      "totalNoOfInstitutions": 12,
      "totalBorrowed": 567401372,
      "totalOutstanding": 19732,
      "totalOverdue": 19754,
      "totalNoOfPerformingLoans": 23,
      "totalNoOfClosedLoans": 17,
      "totalNoOfActiveLoans": 7,
      "crcReportOrderNumber": "W-0063381978/2022",
      "highestLoanAmount": 22980000
    },
    "searchedDate": "2023-11-23T16:16:47.279Z"
  },
  "message": "CRC check successful"
}
```

### 400 Bad Request

```json theme={null}
{
  "status": "failed",
  "data": [],
  "message": "Missing required fields"
}
```

### 401 Unauthorized

```json theme={null}
{
  "status": "failed",
  "message": "Authentication credentials were not provided."
}
```


## OpenAPI

````yaml POST /api/onboarding/business/crc/
openapi: 3.0.3
info:
  title: Adhere API
  description: >-
    Identity verification, credit checks, transaction monitoring, and loan fraud
    detection across Africa.
  version: 3.0.0
servers:
  - url: https://adhere-api.smartcomply.com
    description: Production
security:
  - ApiKeyAuth: []
tags:
  - name: Nigeria KYC
  - name: Kenya KYC
  - name: Ghana KYC
  - name: Rwanda KYC
  - name: Uganda KYC
  - name: Document Verification
  - name: Biometrics
  - name: Individual Credit
  - name: Business Credit
  - name: Transaction Monitoring
  - name: Transaction Screening
  - name: Transaction KYC
  - name: Loan Fraud
  - name: User Journey
paths:
  /api/onboarding/business/crc/:
    post:
      tags:
        - Business Credit
      summary: CRC Business Credit History
      operationId: crcBusiness
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - registration_number
              properties:
                registration_number:
                  type: string
                  example: RC-123456
      responses:
        '200':
          description: CRC business credit history retrieved
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              data:
                type: array
                items: {}
              message:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: failed
              message:
                type: string
                example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-access-token
      description: Your Adhere API secret key

````